// Anyone is free to copy, modify, use, compile, or distribute this software,
// either in source code form or as a compiled binary, for any non-commercial
// purpose.  For commercial enquiries please contact contact@gimpysoftware.com
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
// Gimpy Software does not accept any liability for damage caused by executing
// or modifying this code.
//
// Copyright (c) 2013-2014, Gimpy Software.

using Microsoft.Xna.Framework.Graphics;

namespace LayersBlog
{
    /// <summary>
    /// Interface wrapping a generic XNA graphics effect.
    /// </summary>
    public interface ILayerEffect
    {
        void Apply(SpriteBatch spriteBatch, Texture2D source, Texture2D destination);
    }
}