sampler TextureSampler;

float4 PixelShaderFunction(float2 texCoord : TEXCOORD) : COLOR
{
    float4 Color = tex2D(TextureSampler, texCoord);

    if (Color.a > 0)
    {
        Color.r = 1.0 - Color.r;
        Color.g = 1.0 - Color.g;
        Color.b = 1.0 - Color.b;
    }

    return Color;
}

// Invert the RGB colors of non-transparent pixels.
technique negative
{
    pass Pass1
    {
        PixelShader = compile ps_2_0 PixelShaderFunction();
    }
}