sampler TextureSampler;

float4 PixelShaderFunction(float2 texCoord : TEXCOORD) : COLOR
{
    float4 Color = tex2D(TextureSampler, texCoord);
    return float4(0, 0, 0, Color.a > 0 ? 1 : 0);
}

// Show non-transparent pixels as black.
technique opacityMask
{
    pass Pass1
    {
        PixelShader = compile ps_2_0 PixelShaderFunction();
    }
}