sampler TextureSampler;

int DiscreteValues = 8;

float4 PixelShaderFunction(float2 texCoord : TEXCOORD) : COLOR
{
    float4 Color = tex2D(TextureSampler, texCoord);
    return round(Color * (DiscreteValues - 1)) / (DiscreteValues - 1);
}

// Decrease the color depth to a specific palette.
technique palettizer
{
    pass Pass1
    {
        PixelShader = compile ps_2_0 PixelShaderFunction();
    }
}