sampler TextureSampler: register(s0);

float4 PixelShaderFunction(float2 Tex: TEXCOORD0) : COLOR0
{
	float4 Color = tex2D(TextureSampler, Tex);

  float gray = (0.21f * Color.r) + (0.72f * Color.g) + (0.07f * Color.b);
	Color.r = gray;
	Color.g = gray;
	Color.b = gray;

	return Color;
}

// Convert to grayscale using Luminosity.
technique grayscale
{
	pass Pass1
	{
		PixelShader = compile ps_2_0 PixelShaderFunction();
	}
}
