sampler TextureSampler;

float SegmentsPerXAxis = 2;
float SegmentsPerYAxis = 2;

float4 PixelShaderFunction(float2 texCoord : TEXCOORD) : COLOR
{
    float x = ((int)(texCoord.x * SegmentsPerXAxis)) / SegmentsPerXAxis;
    float y = ((int)(texCoord.y * SegmentsPerYAxis)) / SegmentsPerYAxis;
    return tex2D(TextureSampler, float2(x, y));
}

// Appears to decrease the resolution of an image by a variable amount.
technique pixelate
{
    pass Pass1
    {
        PixelShader = compile ps_2_0 PixelShaderFunction();
    }
}