sampler TextureSampler;

int ImageHeight = 0;

float4 PixelShaderFunction(float2 texCoord : TEXCOORD) : COLOR
{
    float4 Color = tex2D(TextureSampler, texCoord);

    int l = (int)(texCoord.y * ImageHeight);
    if (l % 3 == 2)
    {
      Color.r *= 0.6;
      Color.g *= 0.6;
      Color.b *= 0.6;
    }

    return Color;
}

technique scanlines
{
    pass Pass1
    {
        PixelShader = compile ps_2_0 PixelShaderFunction();
    }
}